Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.workarea
Class LongWorkContext

    java.lang.Object
      weblogic.workarea.LongWorkContext

All Implemented Interfaces:
  Serializable, PrimitiveWorkContext, WorkContext

    public class LongWorkContext

extends Object
implements PrimitiveWorkContext, Serializable

An implementation for propagating simple long-based `WorkContext`s.

See Also:
  Serialized Form

Constructor Summary
`LongWorkContext()`

Method Summary
`boolean` | `equals(Object obj)`
`Object` | `get()` Returns the data associated with this `PrimitiveWorkContext`.
`long` | `longValue()`
`void` | `readContext(WorkContextInput in)` Reads the implementation of `WorkContext` from the `WorkContextInput` data stream.
`String` | `toString()`
`void` | `writeContext(WorkContextOutput out)` Writes the implementation of `WorkContext` to the `WorkContextOutput` data stream.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongWorkContext

    public LongWorkContext()

Method Detail

### get

    public Object get()

  Description copied from interface: `PrimitiveWorkContext`
  Returns the data associated with this `PrimitiveWorkContext`.

  Specified by:
    `get` in interface `PrimitiveWorkContext`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### longValue

    public long longValue()

### writeContext

    public void writeContext(WorkContextOutput out)
                      throws IOException

  Description copied from interface: `WorkContext`
  Writes the implementation of `WorkContext` to the `WorkContextOutput` data stream.

  Specified by:
    `writeContext` in interface `WorkContext`
  Throws:
    `IOException`

### readContext

    public void readContext(WorkContextInput in)
                     throws IOException

  Description copied from interface: `WorkContext`
  Reads the implementation of `WorkContext` from the `WorkContextInput` data stream.

  Specified by:
    `readContext` in interface `WorkContext`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD